<?
// $Id$
//----------------------------------------------------------------------------
// Project : TOSTWebStats
// File    : browser.class.php
// Version : 0.1
// Author  : Stark
//----------------------------------------------------------------------------

class browser extends xmlparser
{
	var $maps = Array();
	var $numfiles;
	var $numpages;

	// constructor:
	function browser ($dir, $num, $page)
	{
		// read filenames into temp-array:
		if (is_dir($dir) && ($dh = opendir($dir)))
		{ 
			while (($file = readdir($dh)) !== false)
				if (substr($file, -4)==".xml")
					$tmp[] = $file;					
			closedir($dh);			
		}
		$this->numfiles = count($tmp);
		$this->numpages = ceil($this->numfiles / $num);
		rsort($tmp);
		
		// read xml-files:
		for ($i=$page*$num; $i<($page+1)*$num; $i++)
		{
			if ($i < $this->numfiles)
			if (($xml = $this->open($dir."/".$tmp[$i])) != false)
		    {
			   	$xml = $xml['mapstats'][0];
			   	if (isset($xml['players']['player'][0]['id']))
			   		$pcount = count($xml['players']['player']);
			   	else if (isset($xml['players']['player']))
			   		$pcount = 1;
			   	else
			   		$pcount = 0;
			   		
			   	// save what we need:
			   	$this->maps[] = Array('id' => basename($tmp[$i], ".xml"),
			   						  'mapname' => $xml['gameresults']['mapname'],
			   						  'datetime' => $xml['gameresults']['datetime'],
			   						  'sfscore' => $xml['gameresults']['sfscore'],
			   						  'terrscore' => $xml['gameresults']['terrscore'],
			   						  'playercount' => $pcount);
			}
		}		
	}	
}

?>
