<?php
// $Id: xplayerstats.inc.php 961 2004-09-02 21:17:07Z stark $
//----------------------------------------------------------------------------
// Project : TOSTWebStats
// File    : xplayerstats.inc.php
// Version : 0.1
// Author  : Stark
//----------------------------------------------------------------------------
?>
<!-- playerstats -->
<div>
<ul id="ULPlayer">
<? 
  function dmgLine ($victim, $weapon, $dmg, $zHead, $zBody, $zLegs, $hossi, $mirror, $FF, $bKilled) {
 	$toSend="";
	$tmp="";
	$victim = htmlspecialchars($victim, ENT_QUOTES);
	
	if ($FF>0)
    {
        $toSend = $toSend."(TK!) ";
        $toSend = $toSend.$victim.": ".($FF+$mirror)." dmg ";
    }
    else 
	   $toSend = $toSend.$victim.": ".($dmg+$hossi)." dmg ";

	if ($zHead+$zBody+$zLegs > 0)
	{
		if ($zHead>0) $tmp=$tmp.$zHead."H ";
		if ($zBody>0) $tmp=$tmp.$zBody."B ";
		if ($zLegs>0) $tmp=$tmp.$zLegs."L ";
		$tmp = Trim($tmp);
		$toSend = $toSend."(".$tmp.")";
	}
	$toSend = $toSend.$weapon;
	if ($bKilled) $toSend = $toSend." [killed]";
	
	return $toSend;
 }
 
 function ParseHitdata ($hit)
 {
	if (isset($hit[0]['v'])) array_map("ParseHitData", $hit);
	else {
		$line = dmgLine(
			$hit['v'],
			$hit['w'],
			isset($hit['dmg'])?$hit['dmg']:0,
			isset($hit['h'])?$hit['h']:0,
			isset($hit['b'])?$hit['b']:0,
			isset($hit['l'])?$hit['l']:0,
			isset($hit['hos'])?$hit['hos']:0,
			isset($hit['mirror'])?$hit['mirror']:0,
			isset($hit['ff'])?$hit['ff']:0,
			isset($hit['kill'])||isset($hit['killtk'])
			);
			
		echo "\n    $line<br />";
	}
 }
 
 function ParseRound ($round)
 {
 	if (isset($round['hit']))
 	{
 		echo "\n    <li class=\"roundnumber\">Round #".$round['nr'].":</li>";
	 	$hits = Array ($round['hit']);
	 	echo "\n    <li><ul class=\"ULHits\">\n    <li>";
	 		array_map("ParseHitdata", $hits);
	 	echo "\n    </li>\n";
	 	echo "    </ul></li>\n";
	}
 }
 
 function ParsePlayer ($player)
 {
 	if (isset($player['damage']))
 	{
 		echo "\n<li class=\"playername".$player['team']."\">".
			 "<a id=\"PlayerID".$player['id']."\" />".
 		     htmlspecialchars($player['name'], ENT_QUOTES)."</li>";
 		 
 		foreach ($player['damage'] as $round)
	 	{
	 		if (!isset($round[0]['nr'])) $round = Array(0 => $round);
	 		echo "\n<li><ul class=\"ULRounds\">";
	 		array_map("ParseRound", $round);
	 		echo "</ul></li>\n";
	 	}		 
	}
 }
 
 	$found = 0;
	for ($i=0;$i<=1;$i++)
	{
		foreach ($map->players[$i] as $player)
		{
			if (!isset($player[0]['id']))
				$player = Array(0 => $player);
			if (!isset($gp_PID) || $player[0]['id'] == $gp_PID)
			{
				//print_r($player);
				$found = 1;
				array_map("ParsePlayer", $player);
			}
		}
	}
	if ($found==0)
		echo "no data";

 ?>

</ul>
<br style="clear:both;" />
</div>

<hr />

