<?
// $Id: report.class.php 930 2004-08-21 06:38:33Z stark $
//----------------------------------------------------------------------------
// Project : TOSTWebStats
// File    : report.class.php
// Version : 0.1
// Author  : DiLDoG/Stark
//----------------------------------------------------------------------------

class matchreport extends xmlparser
{
  var $warpix = Array();
  var $serverinfo = Array();
  var $gamesettings = Array();
  var $gameresults = Array();
  var $players = Array();

  var $sort;
  var $file;
  var $nextorder;

  function addPlayer ($player)
  {
  	if ($player['team']<2)
  		array_push($this->players[$player['team']], $player);
  }
  
  function matchreport($filename)
  {
    $this->file = $filename;
    if (($xml = $this->open($filename)) == false)
    {
      return false;
    }
    $xml = $xml['mapstats'][0];

    $this->warpix       = $xml['warpix'];
    $this->serverinfo   = $xml['serverinfo'];
    $this->gamesettings = $xml['gamesettings'];
    $this->gameresults  = $xml['gameresults'];

    // Serperate teams
    $this->players[0] = Array();
    $this->players[1] = Array();
    if (isset($xml['players']['player']))
    {
      foreach($xml['players'] as $tempplayer)
      {
      	if (!isset($tempplayer[0]['id']))
      		$tempplayer = array(0 => $tempplayer);
        array_map(array(&$this, "addPlayer"), $tempplayer);
      }
    }

    // Sort players
    $this->sort = (isset($_GET['sort'])) ? $_GET['sort'] : "score";
    $flags = ($this->sort == "name") ? SORT_STRING : SORT_DESC;
    
    // order:
    $this->nextorder = 1;
    if (isset($_GET['order']) && $_GET['order']==1 && $_GET['sort']==$_GET['lastsort'])
    {
    	if ($flags = SORT_DESC) $flags = SORT_ASC;
    	else if ($flags = SORT_ASC) $flags = SORT_DESC;
    	$this->nextorder = 0;
    }

    $this->players[0] = $this->array_csort($this->players[0], $this->sort, $flags, 'score', SORT_DESC, 'kills', SORT_DESC, 'deaths', SORT_ASC);
    $this->players[1] = $this->array_csort($this->players[1], $this->sort, $flags, 'score', SORT_DESC, 'kills', SORT_DESC, 'deaths', SORT_ASC);
  }  
}
?>