<?php
// $Id: upload.php 953 2004-09-01 20:25:06Z stark $
//----------------------------------------------------------------------------
// Project : TOSTWebStats
// File    : upload.php
// Version : 0.1
// Author  : DiLDoG/Stark
//----------------------------------------------------------------------------

// Load config file
  require_once("./config.php");
  require_once("./inc/global.inc.php");

// Load XML parser
  require_once("./classes/xml.class.php");

// Verify upload
  if (substr($_SERVER['HTTP_USER_AGENT'], 0, 10) != "HTTPUPLOAD")
  {
    LogAction("DENIED: INVALID AGENT");
    echo "Success=0\r\n";
    echo "Response=User agent does not match";
  }
  elseif (!isset($_GET['id']) || !($clientconfig = FindClient($_GET['id'])))
  {
    LogAction("DENIED: INVALID ID GIVEN");
    echo "Success=0\r\n";
    echo "Response=Invalid id";
  }
  elseif (isset($clientconfig['ip']) && $clientconfig['ip'] != $_SERVER['REMOTE_ADDR'])
  {
    LogAction("DENIED: INVALID REMOTE ADDR");
    echo "Success=0\r\n";
    echo "Response=remote address does not match";
  }
  elseif (isset($clientconfig['key']) && (!isset($_GET['key']) || $clientconfig['key'] != $_GET['key']))
  {
    LogAction("DENIED: INVALID KEY");
    echo "Success=0\r\n";
    echo "Response=Upload key does not match";
  }
  elseif (!$_FILES['xmlstats'])
  {
    LogAction("ERROR: NO FILE ATTACHED");
    echo "Success=0\r\n";
    echo "Response=No file attached";
  }
  else // ok...
  {
      $dir = $cfg['Path'].$clientconfig['id'];
      @mkdir($dir);
      if (!is_dir($dir))
      {
      	 LogAction("ERROR: could not create ". $dir);
      	 echo "Success=0\r\n";
         echo "Response=Could not create directory ".$dir.", check the rights!\n";
         exit();
      };

      do {
      	$timestamp = time();
      	$file = $dir."/".$timestamp.".xml";
      } while (file_exists($file));

      if (move_uploaded_file($_FILES['xmlstats']['tmp_name'], $file))
      {
         LogAction("COMPLETE: ($file)");
         echo "Success=1\r\n";
         echo "Response=File stored as $timestamp.xml\r\n";
         echo "mapid=$timestamp\r\n";
      }
      else
      {
         LogAction("ERROR: could not create ".$file);
         echo "Success=0\r\n";
         echo "Response=Could not create ".$file.", check the rights!\n";
      }
  }

?>
